#ifndef VERTEXOBJECT_H
#define VERTEXOBJECT_H

#include <stdint.h>
#include "render/render_shared.h"

class RenderDevice;

class VertexBuffer
{
	friend class RenderDevice;
public:
	~VertexBuffer();

	void Bind();

	void* MapBuffer(BufferAccess access);
	void  UnmapBuffer();

	void UpdateBuffer(void* data, size_t size);

private:
	VertexBuffer(void* data, size_t size, bool isStream = false);

	uint32_t m_buffer;
};

#endif // !VERTEXOBJECT_H
